%{!?python_includedir: %global python_includedir %(%{__python} -c "from distutils.sysconfig import get_python_inc; print get_python_inc()")}

Name:		rekall
Summary:	A KDE database front-end application
Version:	2.4.6
Release:	33%{?dist}
Group:		Development/Tools
License:	GPLv2
URL:		http://kde-apps.org/content/show.php?content=9915
Source0: 	http://www.rekallrevealed.org/packages/%{name}-%{version}.tar.gz
Patch0:		rekall-2.4.5-gcc4.patch
Patch1:		rekall-2.4.5-64bitfix.patch
Patch4:		rekall-2.4.0-noldconfig.patch
Patch5:		rekall-2.4.5-lib64.patch
Patch6:		rekall-2.4.5-python25.patch
Patch7:		rekall-flex-glibc27.diff
Patch8:		rekall-xbsql-overflows.diff
Patch9:		rekall-2.4.6-gcc43.patch
Patch10:	rekall-2.4.6-fixflags.patch
Patch11:	rekall-2.4.6-xbsql.l.patch
Patch12:	rekall-unixODBCfix.patch
Patch13:	rekall-2.4.6-fix-desktop-icon.patch
Patch14:	rekall-gcc45.patch
Patch15:	rekall-2.4.6-unistd.patch
Patch16:	rekall-2.4.6-format-security.patch
Patch17:	rekall-2.4.6-mdbtools-0.7.patch
Patch18:	rekall-2.4.6-fixup.patch
BuildRequires:	python2-devel, mysql-devel, postgresql-devel, unixODBC-devel
BuildRequires:	kdelibs3-devel, desktop-file-utils, libacl-devel
BuildRequires:  scons, flex, bison, sqlite-devel, pcre-devel
BuildRequires:  mdbtools-devel, pkgconfig
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

# rekall-runtime went away. Never really seemed useful to me anyways.
# This provides is bogus, but present to ensure clean upgrades.
Provides:	rekall-runtime = %{version}-%{release}
Obsoletes:	rekall-runtime

%description
Rekall is a database front-end, however, Rekall is not itself a 
database, and does not include a database. By this we mean that data 
is stored somewhere else in an SQL server, and Rekall is fundementally 
just a tool to extract, display and update that data (of course, it does 
lots more than that, it does forms and reports and scripting...). It is 
database agnostic, and does not have any preferred database (plugins are 
available for MySQL and PostgreSQL).

%package docs
Summary: Rekall documentation
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description docs
Documentation for Rekall

%package extra
Summary: Rekall Extra Stuff Plugin
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description extra
Rekall Extra Stuff Plugin.

%package mdb
Summary: Rekall Microsoft Access DB driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description mdb
Driver to add Microsoft Access database support to Rekall.

%package mysql
Summary: Rekall MySQL driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description mysql
Driver to add MySQL support to Rekall.

%package odbc
Summary: Rekall ODBC driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description odbc
Driver to add ODBC support to Rekall.

%package postgresql
Summary: Rekall PostgreSQL driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description postgresql
Driver to add PostgreSQL support to Rekall.

%package python
Summary: Rekall Python support
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description python
Python components and scripts for Rekall.

%package sqlite
Summary: Rekall SQLite support
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description sqlite
SQLite components and scripts for Rekall.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch4 -p1
# Fix libdir for 64 bit arches
%if 0%{?__isa_bits} == 64
%patch5 -p1
%endif
# Only FC-7 or greater needs this:
%patch6 -p1
# Fix for glibc2.7
%patch7 -p1
# Fix possible overflows in xbsql
%patch8 -p1
# Fix gcc43 compile
%patch9 -p1
# Fix YACCFLAGS, LEXFLAGS
%patch10 -p1
# Fix xbsql.l
%patch11 -p1 -b .fix
# Fix rekall to build against the latest unixODBC
%patch12 -p1 -b .unixODBC
%patch13 -p1 -b .dicon
# Fix rekall build against gcc45
%patch14 -p1 -b .gcc45
# Fix rekall build against gcc47
%patch15 -p1 -b .gcc47
# Fix format-security issues
%patch16 -p1 -b .format-security
# Fix building with mdbtool-0.7
%patch17 -p1
# Fix building with modern Fedora
%patch18 -p1 -b .fixup

rm -rf libs/el32/hash.cpp.orig libs/kbase/kb_parse.cpp.orig libs/kbase/kb_link.cpp.orig

%build
export KDEDIR=%{_prefix}
GLIB2_CFLAGS=`pkg-config --cflags glib-2.0`
PARSED_OPT_FLAGS=`echo \'$RPM_OPT_FLAGS $GLIB2_CFLAGS\' | sed "s/ /',/g" | sed "s/',/', '/g"`
sed -i "s|'-Wall'|[$PARSED_OPT_FLAGS]|" scons/rkBuilder.py
echo "prefix=%{_prefix}" >> scons/settings.qt3
echo "with-mdb-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-mysql-libraries=%{_libdir}/mysql" >> scons/settings.qt3
echo "with-odbc-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-pcre-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-pgsql-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-python-includes=%{python_includedir}" >> scons/settings.qt3
echo "with-python-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-qt-includes=%{_libdir}/qt-3.3/include" >> scons/settings.qt3
echo "with-qt-libraries=%{_libdir}/qt-3.3/lib" >> scons/settings.qt3
echo "with-sqlite3-libraries=%{_libdir}" >> scons/settings.qt3
cp scons/settings.qt3 settings.qt3
cp scons/Makefile .

make config.qt3
# No.
%global pyversion %(pkg-config python2 --libs | sed 's|-l||g')
sed -i 's|python3|%{pyversion}|g' scons/rkConfig_qt3.py
make qt3

%install
make DESTDIR=$RPM_BUILD_ROOT install.qt3
mkdir -p $RPM_BUILD_ROOT%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}/}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m0644 kbase/rekall.desktop $RPM_BUILD_ROOT%{_datadir}

desktop-file-install --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Office \
  --add-mime-type application/x-rlk \
  $RPM_BUILD_ROOT%{_datadir}/%{name}.desktop

# No need to have this file twice.
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/rekallqt/LICENSE

# Nuke .la files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

cd $RPM_BUILD_ROOT%{_datadir}
ln -s %{_datadir}/apps/rekallqt/icons/hicolor/32x32/apps/rekall.png pixmaps/rekall.png
cd $RPM_BUILD_ROOT%{_bindir}
ln -s %{_bindir}/rekallqt rekall
ln -s %{_bindir}/rekallqtManual rekallManual

cd $RPM_BUILD_ROOT%{_libdir}
for i in *.so.246; do
  SHORTNAME=`echo $i | sed 's|.246||g'`
  ln -s $i $SHORTNAME
done


%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
  update-desktop-database %{_datadir}/applications &> /dev/null
fi

%post extra -p /sbin/ldconfig

%postun extra -p /sbin/ldconfig

%post mdb -p /sbin/ldconfig

%postun mdb -p /sbin/ldconfig

%post mysql -p /sbin/ldconfig

%postun mysql -p /sbin/ldconfig

%post odbc -p /sbin/ldconfig

%postun odbc -p /sbin/ldconfig

%post postgresql -p /sbin/ldconfig

%postun postgresql -p /sbin/ldconfig

%post python -p /sbin/ldconfig

%postun python -p /sbin/ldconfig

%post sqlite -p /sbin/ldconfig

%postun sqlite -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc LICENSE
%{_libdir}/librekallqt.so*
%{_bindir}/rekall
%{_bindir}/rekallqt
%{_bindir}/rkdcop
%{_datadir}/pixmaps/rekall.png
%dir %{_datadir}/apps/rekallqt/
%{_datadir}/apps/rekallqt/dict/
%{_datadir}/apps/rekallqt/gui/
%{_datadir}/apps/rekallqt/highlights/
%{_datadir}/apps/rekallqt/icons/
%{_datadir}/apps/rekallqt/keymap*
%{_datadir}/apps/rekallqt/pics/
%{_datadir}/apps/rekallqt/rekall.png
%{_datadir}/apps/rekallqt/rekall_lite.png
%{_datadir}/apps/rekallqt/services/kdeparts.lst
%{_datadir}/apps/rekallqt/services/rekall_component.desktop
%{_datadir}/apps/rekallqt/services/rekall_copier.desktop
%{_datadir}/apps/rekallqt/services/rekall_driver_csv.desktop
%{_datadir}/apps/rekallqt/services/rekall_driver_dbtcp.desktop
%{_datadir}/apps/rekallqt/services/rekall_driver_test.desktop
%{_datadir}/apps/rekallqt/services/rekall_driver_xbase.desktop
%{_datadir}/apps/rekallqt/services/rekall_dummy.desktop
%{_datadir}/apps/rekallqt/services/rekall_editor.desktop
%{_datadir}/apps/rekallqt/services/rekall_form.desktop
%{_datadir}/apps/rekallqt/services/rekall_macro.desktop
%{_datadir}/apps/rekallqt/services/rekall_plugin_scriptall.desktop
%{_datadir}/apps/rekallqt/services/rekall_query.desktop
%{_datadir}/apps/rekallqt/services/rekall_report.desktop
%{_datadir}/apps/rekallqt/services/rekall_script_kjs.desktop
%{_datadir}/apps/rekallqt/services/rekall_script_kjs_client.desktop
%{_datadir}/apps/rekallqt/services/rekall_table.desktop
%{_datadir}/apps/rekallqt/script/
%{_datadir}/apps/rekallqt/stock/
%{_datadir}/apps/rekallqt/test/
%{_datadir}/apps/rekallqt/wizards/
%{_datadir}/applications/*rekall.desktop
%{_libdir}/librekallqt_app.so*
%{_libdir}/librekallqt_common.so*
%{_libdir}/librekallqt_componentview.so*
%{_libdir}/librekallqt_copierview.so*
%{_libdir}/librekallqt_driver_csv.so*
%{_libdir}/librekallqt_driver_dbtcp.so*
%{_libdir}/librekallqt_driver_test.so*
%{_libdir}/librekallqt_driver_xbase.so*
%{_libdir}/librekallqt_editor.so*
%{_libdir}/librekallqt_el32.so*
%{_libdir}/librekallqt_formview.so*
%{_libdir}/librekallqt_kde.so*
%{_libdir}/librekallqt_kjs.so*
%{_libdir}/librekallqt_macroview.so*
%{_libdir}/librekallqt_queryview.so*
%{_libdir}/librekallqt_reportview.so*
%{_libdir}/librekallqt_rkdcop.so*
%{_libdir}/librekallqt_script_kjs.so*
%{_libdir}/librekallqt_scriptall.so*
%{_libdir}/librekallqt_tableview.so*
%{_libdir}/librekallqt_support_dbtcp.so*
%{_libdir}/librekallqt_support_xbase.so*
%{_libdir}/librekallqt_support_xbsql.so*
%{_libdir}/librekallqt_wizard.so*

%files docs
%defattr(-, root, root, 0755)
%doc AUTHORS README.FIRST Release.Notes
%{_bindir}/rekallManual
%{_bindir}/rekallqtManual
%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}/}
%{_datadir}/apps/rekallqt/manual/

%files extra
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekallqt/services/rekall_plugin_extra.desktop
%{_libdir}/librekallqt_plugin_extra.so*

%files mdb
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekallqt/services/rekall_driver_mdb.desktop
%{_libdir}/librekallqt_driver_mdb.so*

%files mysql
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekallqt/services/rekall_driver_mysql.desktop
%{_libdir}/librekallqt_driver_mysql.so*

%files odbc
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekallqt/services/rekall_driver_odbc.desktop
%{_libdir}/librekallqt_driver_odbc.so*

%files postgresql
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekallqt/services/rekall_driver_pgsql.desktop
%{_libdir}/librekallqt_driver_pgsql.so*

%files python
%defattr(-, root, root, 0755)
%dir %{_datadir}/apps/rekallqt/stock/component/py
%{_datadir}/apps/rekallqt/stock/component/py/*
%dir %{_datadir}/apps/rekallqt/script/py
%{_datadir}/apps/rekallqt/script/py/*
%{_datadir}/apps/rekallqt/services/rekall_script_py.desktop
%{_libdir}/librekallqt_script_py.so*
%{_libdir}/python*/site-packages/rkdcop.so

%files sqlite
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekallqt/services/rekall_driver_sqlite3.desktop
%{_libdir}/librekallqt_driver_sqlite3.so*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-33
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 13 2016 Tom Callaway <spot@fedoraproject.org> - 2.4.6-32
- "fix" upstream URL. Upstream for this is gone now.
- fix issues preventing builds in modern Fedora

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.6-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul  3 2014 Peter Robinson <pbrobinson@fedoraproject.org> 2.4.6-28
- Generic 64 bit platform detection

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Hans de Goede <hdegoede@redhat.com> - 2.4.6-26
- Fix building with mdbtools-0.7

* Sun May 18 2014 Peter Robinson <pbrobinson@fedoraproject.org> 2.4.6-25
- Rebuild (mdbtools)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 01 2013 Jon Ciesla <limburgher@gmail.com> - 2.4.6-22
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 2.4.6-19
- Rebuild against PCRE 8.30

* Thu Jan  5 2012 Tom Callaway <spot@fedoraproject.org> - 2.4.6-18
- Fix rekall build against gcc47

* Wed Mar 23 2011 Dan Horák <dan@danny.cz> - 2.4.6-17
- rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 2.4.6-15
- Fix build for gcc45

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.4.6-14
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May  5 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.4.6-13
- fix mimetype define in .desktop file
- fix icon naming in .desktop file

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun  1 2009 Dan Horak <dan[at]danny.cz> - 2.4.6-11
- mark s390x arch as 64-bit

* Fri Feb 27 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.4.6-10
- fix rekall to build against the latest unixODBC (thanks to tom lane)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Caolán McNamara <caolanm@redhat.com> - 2.4.6-8
- rebuild for dependencies

* Wed Dec 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.4.6-7
- manually tell it where to find python includedir based on what we have
- enable support for mdb (thanks to mdbtools)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.4.6-6
- Rebuild for Python 2.6

* Wed Feb 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.6-5
- make symlinks so rekall can find its own libraries

* Wed Feb 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.6-4
- more missing BR

* Wed Feb 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.6-3
- explicit qt-devel needed (since we need qt3)

* Wed Feb 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.6-2
- fix python25 patch

* Tue Feb 19 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.6-1
- 2.4.6

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.4.5-7.1
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-6.1
- ppc64 fix

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-6
- rebuild for BuildID
- license tag fixes

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-5.3
- still more python2.5 love

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-5.2
- more python2.5 love

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-5.1
- python2.5 fixes

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-5
- fixup library paths

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-4
- no, really. I mean it this time.

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-3
- really fix remaining 64bit issue

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-2
- fix remaining 64bit issue

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.5-1
- bump to 2.4.5

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2.4.3-5
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sun Sep 17 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.3-4
- fix 64 bit, nuke -common, add new files

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.3-3
- actually upload new source
- no more rt bits

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.3-2
- bump for fc6

* Mon Apr 24 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.3-1
- bump to 2.4.3

* Thu Mar  2 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.0-4
- really fix 64bit arches

* Wed Mar  1 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.0-3
- fix x86_64

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.0-2
- bump for FC-5

* Tue Jan 10 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.0-1
- bump to 2.4.0

* Thu Oct  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-8
- FC-3 is held together with duct-tape

* Wed Oct  5 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-7
- BR: libacl-devel

* Fri Sep 23 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-5
- 64 bit fixes (the shock!)

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-4
- yes. another one.

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-3
- yet another 64 bit long issue

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-2
- another 64 bit long issue

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-1
- go to 2.2.4
- fix 64 bit long issue

* Mon Sep 19 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-5
- get rid of unnecessary BR: xbase-devel and qt-devel

* Sat Sep 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-4
- fix runtime package to actually be standalone
- create common package that both rekall and rekall-runtime need

* Thu Sep  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-3
- runtime: R: desktop-file-utils
- use %%{_datadir} everywhere

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-2
- BR: desktop-file-utils
- R: desktop-file-utils
- fix typo in runtime desc
- set vendor to fedora not kde
- add Office, Application to category
- add rlk mimetype
- make symlink for icon
- provide runtime-devel in runtime package
- include .la files
- lots of missing post/postun added
- icon for the runtime bits

* Fri Jun 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-1
- initial package for Fedora Extras
